<?php
/**
 * @package Digma Interactive Video 
 */
/*
Plugin Name: Digma Interactive Video 
Plugin URI: https://digma.io/wordpressplugin
Description: Use this plugin to integrate the Digma Interactive Video Platform files within your website.
Version: 1.0.0
Author: Stuart Verschoyle
Author URI: https://digma.io
License: GPLv2 or later
Text Domain: digma-interactive-video 
*/

function customjs_load()
{
    ?>

        <script src="https://cdn.digma.io/dist/digma.min.2.0.0.js"></script>

    <?php

}

function customcss_load()
{
    ?>

        <link href="https://cdn.digma.io/dist/digma.min.2.0.0.css" rel="stylesheet" />

    <?php

}

add_action('wp_footer', 'customjs_load', 2);
add_action('wp_head', 'customcss_load', 2);

add_shortcode( 'digma_video', 'digma_projectID' );

function digma_projectID( $atts ) {
 $a = shortcode_atts( array(
 'id' => 'salcodes',
 ), $atts );
 $output = '<div id="digma-embed" class="digma" data-projectid="' . esc_attr( $a['id'] ) . '"></div>';
 
 return $output;
}